GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::Overlay Class Reference

Overlay class. More...

`#include <gdcmOverlay.h>`

Inheritance diagram for gdcm::Overlay:
[legend]
Collaboration diagram for gdcm::Overlay:
[legend]

## Public Member Functions

| Overlay ()
| Overlay (Overlay const &ov)
| ~Overlay ()
void | Decode (std::istream &is, std::ostream &os)
void | Decompress (std::ostream &os) const
unsigned short | GetBitPosition () const
| return bit position
unsigned short | GetBitsAllocated () const
| return bits allocated
bool | GetBuffer (char *buffer) const
unsigned short | GetColumns () const
| get columns
const char * | GetDescription () const
| get description
unsigned short | GetGroup () const
| Get Group number.
const signed short * | GetOrigin () const
| get origin
const ByteValue & | GetOverlayData () const
unsigned short | GetRows () const
| get rows
const char * | GetType () const
| get type
bool | GetUnpackBuffer (unsigned char *buffer) const
bool | GrabOverlayFromPixelData (DataSet const &ds)
bool | IsEmpty () const
bool | IsInPixelData () const
void | IsInPixelData (bool b)
bool | IsZero () const
| return true if all bits are set to 0
void | Print (std::ostream &) const
| Print.
void | SetBitPosition (unsigned short bitposition)
| set bit position
void | SetBitsAllocated (unsigned short bitsallocated)
| set bits allocated
void | SetColumns (unsigned short columns)
| set columns
void | SetDescription (const char *description)
| set description
void | SetFrameOrigin (unsigned short frameorigin)
| set frame origin
void | SetGroup (unsigned short group)
| Set Group number.
void | SetNumberOfFrames (unsigned int numberofframes)
| set number of frames
void | SetOrigin (const signed short *origin)
| set origin
void | SetOverlay (const char *array, unsigned int length)
| set overlay from byte array + length
void | SetRows (unsigned short rows)
| set rows
void | SetType (const char *type)
| set type
void | Update (const DataElement &de)
| Update overlay from data element de:
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Additional Inherited Members

Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Overlay class.

Note
  see AreOverlaysInPixelData

Todo:
  Is there actually any way to recognize an overlay ? On images with multiple overlay I do not see any way to differenciate them (other than the group tag).

Example:

## Constructor & Destructor Documentation

gdcm::Overlay::Overlay | ( |  | ) |

gdcm::Overlay::~Overlay | ( |  | ) |

gdcm::Overlay::Overlay | ( | Overlay const & | ov | ) |

## Member Function Documentation

void gdcm::Overlay::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |

void gdcm::Overlay::Decompress | ( | std::ostream & | os | ) | const

unsigned short gdcm::Overlay::GetBitPosition | ( |  | ) | const

return bit position

unsigned short gdcm::Overlay::GetBitsAllocated | ( |  | ) | const

return bits allocated

bool gdcm::Overlay::GetBuffer | ( | char * | buffer | ) | const

unsigned short gdcm::Overlay::GetColumns | ( |  | ) | const

get columns

const char* gdcm::Overlay::GetDescription | ( |  | ) | const

get description

unsigned short gdcm::Overlay::GetGroup | ( |  | ) | const

Get Group number.

const signed short* gdcm::Overlay::GetOrigin | ( |  | ) | const

get origin

const ByteValue& gdcm::Overlay::GetOverlayData | ( |  | ) | const

unsigned short gdcm::Overlay::GetRows | ( |  | ) | const

get rows

const char* gdcm::Overlay::GetType | ( |  | ) | const

get type

bool gdcm::Overlay::GetUnpackBuffer | ( | unsigned char * | buffer | ) | const

bool gdcm::Overlay::GrabOverlayFromPixelData | ( | DataSet const & | ds | ) |

bool gdcm::Overlay::IsEmpty | ( |  | ) | const

bool gdcm::Overlay::IsInPixelData | ( |  | ) | const

void gdcm::Overlay::IsInPixelData | ( | bool | b | ) |

bool gdcm::Overlay::IsZero | ( |  | ) | const

return true if all bits are set to 0

void gdcm::Overlay::Print | ( | std::ostream & |  | ) | const

virtual

Print.

Reimplemented from gdcm::Object.

void gdcm::Overlay::SetBitPosition | ( | unsigned short | bitposition | ) |

set bit position

void gdcm::Overlay::SetBitsAllocated | ( | unsigned short | bitsallocated | ) |

set bits allocated

void gdcm::Overlay::SetColumns | ( | unsigned short | columns | ) |

set columns

void gdcm::Overlay::SetDescription | ( | const char * | description | ) |

set description

void gdcm::Overlay::SetFrameOrigin | ( | unsigned short | frameorigin | ) |

set frame origin

void gdcm::Overlay::SetGroup | ( | unsigned short | group | ) |

Set Group number.

void gdcm::Overlay::SetNumberOfFrames | ( | unsigned int | numberofframes | ) |

set number of frames

void gdcm::Overlay::SetOrigin | ( | const signed short * | origin | ) |

set origin

void gdcm::Overlay::SetOverlay | ( | const char * | array,
|  | unsigned int | length
| ) |  |

set overlay from byte array + length

void gdcm::Overlay::SetRows | ( | unsigned short | rows | ) |

set rows

void gdcm::Overlay::SetType | ( | const char * | type | ) |

set type

void gdcm::Overlay::Update | ( | const DataElement & | de | ) |

Update overlay from data element de:

The documentation for this class was generated from the following file:

- gdcmOverlay.h